Subject: Re: AODV sequence numbers

From: Manel Guerrero Zapata <[email-masked]>
Date: Tue, 09 Oct 2001 12:25:22 +0300

Hi,

Please, always CC the email to the manet list, so it can be
openly discussed and the conclusions usefull (?) for everybody.
And, in the case I'm wrong (which happens quite often ;) ),
somebody can correct me.

1) Could you, please, rephrase your question? Which seq num, the host
seq num?
the seq num of a entry in the routing table? In which situation?
(I guess you don't want me just to point for you all the places
in the draft where there is a seq num being increased).

2) I'm not sure if I understood your question. But, it is not that
you increase another node's seq num. Is that every time that a entry
in your routing table gets invalidated you increment its seq num.
Therefore, you will only update the entry if you receive a fresh
enough route.

A different thing is:
 
  "The fact that the originator of the RREQ can set the sequence number
   of the destination is because it is going to be needed if the
   destination node has rebooted (see section 8.11. 'Actions After
   Reboot' in the AODV draft [1]). After rebooting, a node does not
   remember its sequence number anymore and trusts anybody that sends to
   it a RREQ with the number. [...]"
	(from "draft-guerrero-manet-saodv-00.txt")

I hope it helps.

BR/Manel Guerrero

ext Göran Nylen wrote:
> Hello Manel!
[...]
> 
> I have a problem regarding sequence numbers.
> 
> 1. Exactly *when* should the sequence number be increased?
> 
> 2. Is it allowed (besides in local repair) to increase another nodes
> sequence
> number?
> 
> Best Regards,
> Göran Nylen